Subject: San Juan control modifications for fuel savings
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 12 Dec 2001 09:44:42 -0800 (PST)

I have spent a significant amount of time reviewing the operations and SCADA on the San Juan lateral over the last couple of weeks.  I've uncovered some issues that could significantly reduce fuel consumption on this system.  Listed in order of priority are:

Resolve La Plata Unit #2 flame-out problem.  Currently this unit is running in manual control to limit flame-outs.  This prevents the station from running with only one unit at low flow conditions.  According to the La Plata team, this will require the replacement of the fuel control valve and unit control software changes.  Running in the manual mode is costing an additional 550 MSCF/D in fuel plus the extra O&M costs associated with the fired hours on unit #1.  The team is expecting the new fuel valve soon but anticipates that they will not get the necessary downtime to install the valve until after the end of the tariff months.  Due to the potential emissions issues associated with its current operating mode, we may have to expedite the modifications to this unit.
Auto calculate a suction pressure setpoint for La Plata.  There are three flow controlled interconnects on the suction side of La Plata.  Using the meter run pressures and/or the flow control valve position, we can maximize the suction pressure setpoint to achieve the interconnect flow rates.  The higher suction pressure reduces the power required at La Plata with an average expected fuel savings of 175 MSCF/D.
Auto calculate a suction pressure setpoint for the Bloomfield Low service similar to the La Plata modification recommended above.  Estimated fuel savings of 80 MSCF/D.
Modify the controls at Gallup to enable a quick turndown for a power peak.  Currently when a power peak is predicted, the Gas Control operators manually transmit a lower discharge pressure setpoint.  It may take a long time for the new setpoint to actually gain control of the unit.  The suggested modification would have the Peak Power alarm I calculate automatically retransmitted to the field and unit/station controls were modified to quickly ramp down the unit in a controlled manner (minimize recycle and prevent unit trips) to minimum power.  Gas Control could then send an override signal that would allow the unit to operate at higher loads if required.  Likewise, if my Peak Power alarm clears automatically, the unit would return back to its normal process setpoint conditions.  Note that if Gas Control overrides my alarm, the override needs to latch until my Peak Power alarm clears.  The suction and discharge setpoint rate ramp limiter logic should be modified to make them more responsive when they are far from the process values.  Bob McChane, Todd Ingles, and myself can develop this logic.
Modify the La Plata station control for improved load sharing.  Recommend the load share method be based on matching compressor flow range margins.  I will work with Todd Ingalls to develop the logic and code.  This control method will ensure both units are operating as close to their high efficiency point as possible and minimize surge recycle.
Modify the station control process setpoints logic at La Plata (Bloomfield, Bisti too?) to include rate ramp limiters.  Currently, when Gas Control transmits a new setpoint, the station accepts the new value and quickly changes operating conditions to try and reach the new setpoint.  However, these changes may be occurring too fast and may contribute to the flame-out problems.  Again, I will work w/ Todd to develop the controls to achieve this.

In addition, it appears that the Compressor Performance utility would be helpful for the operating personnel in determining when one unit could handle all the flows at La Plata.  I'll try and package a version that can be installed locally and send it to Todd  Ingalls.

Todd, I looked and I do not have a copy of the existing station control for La Plata.  Could you please zip it up and send it to me?

Additionally, I finally got a copy of the drawings for the Griffith Interconnect.  It appears our flow swings at this point can be reduced significantly by changing the operation of the flow control valve to a downstream pressure control valve with a maximum flow control override.  Todd, who is responsible for the programming of the RTU for this point?

Gary Choquette